summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tom Canich <tcanich@canich.net>2011-07-17 06:48:43 -0300
committer Robby Workman <rworkman@slackbuilds.org>2011-07-21 22:52:09 -0500
commit47ac89cd6c90eff8dcef43bf03a63d3f3fad8faa (patch)
treec7cf44f7d892087465dfede02aae92a8beb39c6f
parent26387dd9b8f192b1506238ec899668e19240315c (diff)
downloadslackbuilds-47ac89cd6c90eff8dcef43bf03a63d3f3fad8faa.tar.gz
slackbuilds-47ac89cd6c90eff8dcef43bf03a63d3f3fad8faa.tar.xz
network/ldapvi: Added (interactive LDAP client for Unix terminals)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/ldapvi/README3
-rw-r--r--network/ldapvi/ldapvi.SlackBuild108
-rw-r--r--network/ldapvi/ldapvi.info10
-rw-r--r--network/ldapvi/ldapvi_getline.patch33
-rw-r--r--network/ldapvi/slack-desc19
5 files changed, 173 insertions, 0 deletions
diff --git a/network/ldapvi/README b/network/ldapvi/README
new file mode 100644
index 0000000000..2162531793
--- /dev/null
+++ b/network/ldapvi/README
@@ -0,0 +1,3 @@
+ldapvi is an interactive LDAP client for Unix terminals.
+Using it, you can update LDAP entries with a text editor.
+Think of it as vipw(1) for LDAP.
diff --git a/network/ldapvi/ldapvi.SlackBuild b/network/ldapvi/ldapvi.SlackBuild
new file mode 100644
index 0000000000..b03df1abe2
--- /dev/null
+++ b/network/ldapvi/ldapvi.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for ldapvi
+
+# Copyright (c) 2009,2011, Tom Canich, State College, Pennsylvania, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials provided
+# with the distribution.
+# * Neither the name of Tom Canich nor the names of other
+# contributors may be used to endorse or promote products derived
+# from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Tom Canich BE LIABLE FOR
+# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ldapvi
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+patch -p0 < $CWD/ldapvi_getline.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+# Upstream install target doesn't honor docdir or DESTDIR
+# Patch has been submitted to upstream vendor.
+# Rolling our own... TC
+install -d -m 0755 $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0755 ldapvi $PKG/usr/bin
+install -m 0644 ldapvi.1 $PKG/usr/man/man1
+install -m 0644 \
+ manual/manual.css manual/manual.xml manual/bg.png manual/html.xsl \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ldapvi/ldapvi.info b/network/ldapvi/ldapvi.info
new file mode 100644
index 0000000000..b5a5412cd3
--- /dev/null
+++ b/network/ldapvi/ldapvi.info
@@ -0,0 +1,10 @@
+PRGNAM="ldapvi"
+VERSION="1.7"
+HOMEPAGE="http://www.lichteblau.com/ldapvi/"
+DOWNLOAD="http://www.lichteblau.com/download/ldapvi-1.7.tar.gz"
+MD5SUM="6dc2f5441ac5f1e2b5b036e3521012cc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Tom Canich"
+EMAIL="tcanich@canich.net"
+APPROVED="Niels Horn"
diff --git a/network/ldapvi/ldapvi_getline.patch b/network/ldapvi/ldapvi_getline.patch
new file mode 100644
index 0000000000..67df9b79a9
--- /dev/null
+++ b/network/ldapvi/ldapvi_getline.patch
@@ -0,0 +1,33 @@
+--- common.h.orig 2011-06-02 20:54:25.000000000 -0500
++++ common.h 2011-06-02 20:54:48.000000000 -0500
+@@ -273,7 +273,7 @@
+ char *home_filename(char *name);
+ void read_ldapvi_history(void);
+ void write_ldapvi_history(void);
+-char *getline(char *prompt, char *value);
++char *__getline(char *prompt, char *value);
+ char *get_password();
+ char *append(char *a, char *b);
+ void *xalloc(size_t size);
+--- ldapvi.c.orig 2011-06-02 20:55:20.000000000 -0500
++++ ldapvi.c 2011-06-02 20:55:29.000000000 -0500
+@@ -470,7 +470,7 @@
+ bo->authmethod = LDAP_AUTH_SASL;
+ puts("Switching to SASL authentication.");
+ }
+- bo->sasl_mech = getline("SASL mechanism", bo->sasl_mech);
++ bo->sasl_mech = __getline("SASL mechanism", bo->sasl_mech);
+ }
+
+ static int
+--- misc.c.orig 2011-06-02 20:54:30.000000000 -0500
++++ misc.c 2011-06-02 20:55:13.000000000 -0500
+@@ -315,7 +315,7 @@
+ }
+
+ char *
+-getline(char *prompt, char *value)
++__getline(char *prompt, char *value)
+ {
+ tdialog d;
+ init_dialog(&d, DIALOG_DEFAULT, prompt, value);
diff --git a/network/ldapvi/slack-desc b/network/ldapvi/slack-desc
new file mode 100644
index 0000000000..d9e0aa6310
--- /dev/null
+++ b/network/ldapvi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ldapvi: ldapvi (interactive LDAP client for Unix terminals)
+ldapvi:
+ldapvi: ldapvi is an interactive LDAP client for Unix terminals.
+ldapvi: Using it, you can update LDAP entries with a text editor.
+ldapvi: Think of it as vipw(1) for LDAP.
+ldapvi:
+ldapvi: ldapvi was written by David Lichteblau
+ldapvi:
+ldapvi: Homepage: http://www.lichteblau.com/ldapvi/
+ldapvi:
+ldapvi: